

.input-group
{
    position: relative;

    display: flex;

    width: 100%; 

    flex-wrap: wrap;
    align-items: stretch;
}
.input-group > .form-control,
.input-group > .custom-select,
.input-group > .custom-file
{
    position: relative;

    width: 1%;
    margin-bottom: 0; 

    flex: 1 1 auto;
}
 
.input-group-prepend,
.input-group-append
{
    display: flex;
}

 
.input-group-prepend
{
    margin-left: -1px;
}

.input-group-append
{
    margin-right: -1px;
}

.input-group-text
{
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;

    display: flex;

    margin-bottom: 0;
    padding: .625rem .75rem;

    text-align: center;
    white-space: nowrap;

    color: #adb5bd;
    border: 1px solid #cad1d7;
    border-radius:0 4px 4px 0; 
    background-color: #fff;

    align-items: center;
}
 
 

.custom-control
{
    position: relative;

    display: block;

    min-height: 1.5rem;
    padding-left: 1.75rem;
}

 

.custom-control-input
{
    position: absolute;
    z-index: -1;

    opacity: 0;
}
 
 
 
